package cn.axzo.workflow.starter.common.enums;


import lombok.Getter;

/**
 * 异常处理策略，执行客户端自定义Listener异常处理策略，默认未FAIL_OVER
 */
@Getter
public enum FailHandleTypeEnum {
    FAIL_OVER("fail_over", "当前listener执行出错，忽略继续往下执行，可配置重试相关参数，不抛出异常"),
    FAIL_FAST("fail_fast", "快速失败，出错直接抛出异常，listener不再往下执行"),
    FAIL_BACK("fail_back", "失败自动恢复，在后台记录失败的消息，并按照一定的策略后期再进行重试，目前暂不支持"),
    ;
    private final String code;
    private final String description;

    FailHandleTypeEnum(String code, String description) {
        this.code = code;
        this.description = description;
    }

}
